> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get query jobs

> Get detailed job information for an Atlantic proof generation query



## OpenAPI

````yaml get /atlantic-query-jobs/{atlanticQueryId}
openapi: 3.0.3
info:
  title: Atlantic API
  version: 0.1.0
servers:
  - url: https://atlantic.api.herodotus.cloud
    description: Production
  - url: https://stg.atlantic.api.herodotus.cloud
    description: Staging
security: []
paths:
  /atlantic-query-jobs/{atlanticQueryId}:
    get:
      tags:
        - Atlantic Query
      summary: Get the Atlantic query jobs for a given Atlantic query
      description: >-
        Provide the Atlantic query id to get the jobs for a given Atlantic
        query.
      parameters:
        - schema:
            type: string
          in: path
          name: atlanticQueryId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        atlanticQueryId:
                          type: string
                        status:
                          type: string
                          enum:
                            - IN_PROGRESS
                            - COMPLETED
                            - FAILED
                        jobName:
                          type: string
                          enum:
                            - TRACE_AND_METADATA_GENERATION
                            - TRACE_GENERATION
                            - PROOF_GENERATION
                            - PROOF_VERIFICATION
                            - FACT_HASH_REGISTRATION
                            - PROOF_GENERATION_AND_VERIFICATION
                            - TRANSFER_FACT_HASH_TO_WORLD_CHAIN
                        createdAt:
                          type: string
                          format: date-time
                        completedAt:
                          type: string
                          format: date-time
                          nullable: true
                        context: {}
                      required:
                        - id
                        - atlanticQueryId
                        - status
                        - jobName
                        - createdAt
                        - completedAt
                      additionalProperties: false
                  steps:
                    type: array
                    items:
                      type: string
                required:
                  - jobs
                  - steps
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                      - ZOD_PARSING_ERROR
                required:
                  - error
                additionalProperties: false

````